Name:       libdevice-node
Summary:    Library to control OAL APIs
Version:    0.1.1
Release:    1
Group:      Application Framework/Libraries
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1:    %{name}.manifest
BuildRequires:  cmake
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gmock)
BuildRequires:  pkgconfig(capi-system-info)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libusbgx)
BuildRequires:  pkgconfig(libgdbus)

%description
development package of library to control OAL APIs

%package devel
Summary:        Control OAL APIs (devel)
Requires:       %{name} = %{version}-%{release}

%description devel
Library to control OAL APIs (devel)

%package -n device-haltests
Summary:        Device HAL(Hardware Abstraction Layer) Test Cases
Requires:       %{name} = %{version}-%{release}

%description -n device-haltests
Device HAL(Hardware Abstraction Layer) Test Cases

%prep
%setup -q
cp %{SOURCE1} .
%build
%cmake -DBUILD_GTESTS=on \
	.
	#eol

make %{?jobs:-j%jobs}

%install
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%license LICENSE.Apache-2.0
%{_libdir}/*.so.*

%files devel
%manifest %{name}.manifest
%license LICENSE.Apache-2.0
%{_includedir}/device-node/*.h
%{_includedir}/hw/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n device-haltests
%manifest %{name}.manifest
%license LICENSE.Apache-2.0
%{_bindir}/device_haltests
